gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r18467 - gnunet-planetlab


From: gnunet
Subject: [GNUnet-SVN] r18467 - gnunet-planetlab
Date: Tue, 6 Dec 2011 18:13:03 +0100

Author: wachs
Date: 2011-12-06 18:13:03 +0100 (Tue, 06 Dec 2011)
New Revision: 18467

Modified:
   gnunet-planetlab/02_planetlab-deps-from-source.sh
Log:
libkettle and gnutls compiled from source


Modified: gnunet-planetlab/02_planetlab-deps-from-source.sh
===================================================================
--- gnunet-planetlab/02_planetlab-deps-from-source.sh   2011-12-06 17:01:59 UTC 
(rev 18466)
+++ gnunet-planetlab/02_planetlab-deps-from-source.sh   2011-12-06 17:13:03 UTC 
(rev 18467)
@@ -257,10 +257,142 @@
   exit 1
 fi
 
+cd ..
 }
 
+# libnettle
+-------------------------
 
+function cleanup_nettle {
+       cd ..
+       rm -rf nettle-2.4
+       rm nettle-2.4.tar.gz 
+}
 
+
+function install_nettle {
+       
+wget http://www.lysator.liu.se/~nisse/archive/nettle-2.4.tar.gz
+if [ $? = 0 ]
+then
+  echo " Libnettle download successful"
+else
+  echo " Libnettle download failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+tar xvfz nettle-2.4.tar.gz
+if [ $? = 0 ]
+then
+  echo " Libnettle unpack successful"
+else
+  echo " Libnettle unpack failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+cd nettle-2.4
+
+./configure --enable-shared
+if [ $? = 0 ]
+then
+  echo " Libnettle configure successful"
+else
+  echo " Libnettle configure failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+make all
+if [ $? = 0 ]
+then
+  echo " Libnettle make all successful"
+else
+  echo " Libnettle make all failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+sudo make install
+if [ $? = 0 ]
+then
+  echo " Libnettle sudo make install successful"
+else
+  echo " Libnettle sudo make install failed, exiting ..."
+  cleanup_nettle
+  exit 1
+fi
+
+cleanup_nettle
+}
+
+
+# gnutls
+-------------------------
+
+function cleanup_gnutls {
+       cd ..
+       rm -rf nettle-2.4
+       rm nettle-2.4.tar.gz 
+}
+
+
+function install_gnutls {
+       
+wget ftp://ftp.gnupg.org/gcrypt/gnutls/gnutls-2.12.9.tar.bz2
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+tar -xjvf gnutls-2.12.9.tar.bz2
+if [ $? = 0 ]
+then
+  echo " gnutls download successful"
+else
+  echo " gnutls download failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+cd gnutls-2.12.9
+
+./configure --without-p11-kit  
+if [ $? = 0 ]
+then
+  echo " gnutls configure successful"
+else
+  echo " gnutls configure failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+make all
+if [ $? = 0 ]
+then
+  echo " gnutls make all successful"
+else
+  echo " gnutls make all failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+sudo make install
+if [ $? = 0 ]
+then
+  echo " gnutls sudo make install successful"
+else
+  echo " gnutls sudo make install failed, exiting ..."
+  cleanup_gnutls
+  exit 1
+fi
+
+cleanup_gnutls
+}
+
 echo "INSTALLING DEPENDENCIES FROM SOURCE"
 
 # Installing libtool
@@ -275,9 +407,18 @@
 install_libcurl
 cleanup_libcurl
 
+#echo "INSTALLING libnettle"
+install_nettle
+cleanup_nettle
 
+#echo "INSTALLING gnutls"
+install_gnutls
+cleanup_gnutls
 
 
 
 
 
+
+
+




reply via email to

[Prev in Thread] Current Thread [Next in Thread]